#ifndef UPDATERFIRMWAREDIALOG_H
#define UPDATERFIRMWAREDIALOG_H

#include <LoQClass/loqdialog.h>
#include <QSimpleUpdater.h>
namespace Ui {
class UpdaterFirmwareDialog;
}

class UpdaterFirmwareDialog : public LoQDialog
{
    Q_OBJECT

public:
    explicit UpdaterFirmwareDialog(QWidget *parent = nullptr);
    ~UpdaterFirmwareDialog();

private:
    Ui::UpdaterFirmwareDialog *ui;
    QSimpleUpdater *m_updater;
    QString m_strLastestVersion="";
protected slots:
    void OnCheckForUpdates() ;
    void updateChangelog(QString);
    void OnDownloadFinished( QString url,  QString filepath);

};

#endif // UPDATERFIRMWAREDIALOG_H
